meanwhile: mw_error.h File Reference

# mw_error.h File Reference

## Detailed Description

Common error code constants used by Meanwhile.

Not all of these error codes (or even many, really) will ever actually appear from Meanwhile. These are taken directly from the houri draft, along with the minimal explanation for each.

`#include <glib.h>`

Go to the source code of this file.

## Defines
#define | APPLET_LOGOUT 0x8000022D
#define | BAD_NAME 0x8000021A
#define | CANT_CONNECT 0x8000020D
#define | CONNECTION_ABORTED 0x80000222
#define | CONNECTION_BROKEN 0x80000221
#define | CONNECTION_CLOSED 0x80000226
#define | CONNECTION_REFUSED 0x80000223
#define | CONNECTION_RESET 0x80000224
#define | CONNECTION_TIMED 0x80000225
#define | DNS_ERROR 0x8000021E
#define | DNS_FATAL_ERROR 0x8000021F
#define | DNS_NOT_FOUND 0x80000220
#define | ENCRYPT_MISMATCH 0x80000212
#define | FAT_MESSAGE 0x80000209
#define | GUEST_IN_USE 0x80000217
#define | HARDWARE_ERROR 0x80000204
#define | HOST_DOWN 0x80000206
#define | HOST_UNREACHABLE 0x80000207
#define | INCORRECT_LOGIN 0x80000211
#define | INSUF_BUFFER 0x80000201
#define | INSUF_SOCKET 0x80000203
#define | MULTI_LOGIN_COMP 0x80000229
#define | MULTI_SERVER_LOGIN 0x80000227
#define | MULTI_SERVER_LOGIN2 0x80000228
#define | MUTLI_LOGIN_ALREADY 0x8000022A
#define | NEED_EMAIL 0x8000021D
#define | NETWORK_DOWN 0x80000205
#define | NOT_IN_USE 0x80000202
#define | PROTOCOL_ERROR 0x8000020F
#define | PROXY_ERROR 0x8000020A
#define | REG_MODE_NS 0x8000021B
#define | SERVER_BROKEN 0x8000022B
#define | SERVER_FULL 0x8000020B
#define | SERVER_NORESPOND 0x8000020C
#define | SERVER_PATH_OLD 0x8000022C
#define | TCPIP_ERROR 0x80000208
#define | USER_EXISTS 0x80000218
#define | USER_RE_LOGIN 0x80000219
#define | USER_REMOVED 0x8000020E
#define | USER_RESTRICTED 0x80000210
#define | USER_TOO_IDLE 0x80000216
#define | USER_UNREGISTERED 0x80000213
#define | VERIFICATION_DOWN 0x80000214
#define | VERSION_MISMATCH 0x80000200
#define | WRONG_USER_PRIV 0x8000021C
## Enumerations
enum | ERR_CLIENT { ERR_CLIENT_USER_GONE = 0x80002000, ERR_CLIENT_USER_DND = 0x80002001, ERR_CLIENT_USER_ELSEWHERE = 0x80002002 }
| Client error codes. More...
enum | ERR_GENERAL { ERR_SUCCESS = 0x00000000, ERR_FAILURE = 0x80000000, ERR_REQUEST_DELAY = 0x00000001, ERR_REQUEST_INVALID = 0x80000001, ERR_NOT_LOGGED_IN = 0x80000002, ERR_NOT_AUTHORIZED = 0x80000003, ERR_ABORT = 0x80000004, ERR_NO_ELEMENT = 0x80000005, ERR_NO_USER = 0x80000006, ERR_BAD_DATA = 0x80000007, ERR_NOT_IMPLEMENTED = 0x80000008, ERR_UNKNOWN_ERROR = 0x80000009, ERR_STARVING = 0x8000000a, ERR_CHANNEL_NO_SUPPORT = 0x8000000b, ERR_CHANNEL_EXISTS = 0x8000000c, ERR_SERVICE_NO_SUPPORT = 0x8000000d, ERR_PROTOCOL_NO_SUPPORT = 0x8000000e, ERR_PROTOCOL_NO_SUPPORT2 = 0x8000000f, ERR_VERSION_NO_SUPPORT = 0x80000010, ERR_USER_SKETCHY = 0x80000011, ERR_ALREADY_INITIALIZED = 0x80000013, ERR_NOT_OWNER = 0x80000014, ERR_TOKEN_INVALID = 0x80000015, ERR_TOKEN_EXPIRED = 0x80000016, ERR_TOKEN_IP_MISMATCH = 0x80000017, ERR_PORT_IN_USE = 0x80000018, ERR_NETWORK_DEAD = 0x80000019, ERR_NO_MASTER_CHANNEL = 0x8000001a, ERR_ALREADY_SUBSCRIBED = 0x8000001b, ERR_NOT_SUBSCRIBED = 0x8000001c, ERR_ENCRYPT_NO_SUPPORT = 0x8000001d, ERR_ENCRYPT_UNINITIALIZED = 0x8000001e, ERR_ENCRYPT_UNACCEPTABLE = 0x8000001f, ERR_ENCRYPT_INVALID = 0x80000020, ERR_NO_COMMON_ENCRYPT = 0x80000021, ERR_CHANNEL_DESTROYED = 0x80000022, ERR_CHANNEL_REDIRECTED = 0x80000023 }
| general error codes More...
enum | ERR_IM { ERR_IM_COULDNT_REGISTER = 0x80002003, ERR_IM_ALREADY_REGISTERED = 0x80002004, ERR_IM_NOT_REGISTERED = 0x80002005 }
| IM error codes. More...
## Functions
char * | mwError (guint32 code)
| reference to a new string appropriate for the given error code.

## Define Documentation

#define APPLET_LOGOUT 0x8000022D

#define BAD_NAME 0x8000021A

#define CANT_CONNECT 0x8000020D

#define CONNECTION_ABORTED 0x80000222

#define CONNECTION_BROKEN 0x80000221

#define CONNECTION_CLOSED 0x80000226

#define CONNECTION_REFUSED 0x80000223

#define CONNECTION_RESET 0x80000224

#define CONNECTION_TIMED 0x80000225

#define DNS_ERROR 0x8000021E

#define DNS_FATAL_ERROR 0x8000021F

#define DNS_NOT_FOUND 0x80000220

#define ENCRYPT_MISMATCH 0x80000212

#define FAT_MESSAGE 0x80000209

#define GUEST_IN_USE 0x80000217

#define HARDWARE_ERROR 0x80000204

#define HOST_DOWN 0x80000206

#define HOST_UNREACHABLE 0x80000207

#define INCORRECT_LOGIN 0x80000211

#define INSUF_BUFFER 0x80000201

#define INSUF_SOCKET 0x80000203

#define MULTI_LOGIN_COMP 0x80000229

#define MULTI_SERVER_LOGIN 0x80000227

#define MULTI_SERVER_LOGIN2 0x80000228

#define MUTLI_LOGIN_ALREADY 0x8000022A

#define NEED_EMAIL 0x8000021D

#define NETWORK_DOWN 0x80000205

#define NOT_IN_USE 0x80000202

#define PROTOCOL_ERROR 0x8000020F

#define PROXY_ERROR 0x8000020A

#define REG_MODE_NS 0x8000021B

#define SERVER_BROKEN 0x8000022B

#define SERVER_FULL 0x8000020B

#define SERVER_NORESPOND 0x8000020C

#define SERVER_PATH_OLD 0x8000022C

#define TCPIP_ERROR 0x80000208

#define USER_EXISTS 0x80000218

#define USER_RE_LOGIN 0x80000219

#define USER_REMOVED 0x8000020E

#define USER_RESTRICTED 0x80000210

#define USER_TOO_IDLE 0x80000216

#define USER_UNREGISTERED 0x80000213

#define VERIFICATION_DOWN 0x80000214

#define VERSION_MISMATCH 0x80000200

#define WRONG_USER_PRIV 0x8000021C

## Enumeration Type Documentation

enum ERR_CLIENT

Client error codes.

Enumerator:

  ERR_CLIENT_USER_GONE |
  ERR_CLIENT_USER_DND |
  ERR_CLIENT_USER_ELSEWHERE |

enum ERR_GENERAL

general error codes

Enumerator:

  ERR_SUCCESS |
  ERR_FAILURE |
  ERR_REQUEST_DELAY |
  ERR_REQUEST_INVALID |
  ERR_NOT_LOGGED_IN |
  ERR_NOT_AUTHORIZED |
  ERR_ABORT |
  ERR_NO_ELEMENT |
  ERR_NO_USER |
  ERR_BAD_DATA |
  ERR_NOT_IMPLEMENTED |
  ERR_UNKNOWN_ERROR |
  ERR_STARVING |
  ERR_CHANNEL_NO_SUPPORT |
  ERR_CHANNEL_EXISTS |
  ERR_SERVICE_NO_SUPPORT |
  ERR_PROTOCOL_NO_SUPPORT |
  ERR_PROTOCOL_NO_SUPPORT2 |
  ERR_VERSION_NO_SUPPORT |
  ERR_USER_SKETCHY |
  ERR_ALREADY_INITIALIZED |
  ERR_NOT_OWNER |
  ERR_TOKEN_INVALID |
  ERR_TOKEN_EXPIRED |
  ERR_TOKEN_IP_MISMATCH |
  ERR_PORT_IN_USE |
  ERR_NETWORK_DEAD |
  ERR_NO_MASTER_CHANNEL |
  ERR_ALREADY_SUBSCRIBED |
  ERR_NOT_SUBSCRIBED |
  ERR_ENCRYPT_NO_SUPPORT |
  ERR_ENCRYPT_UNINITIALIZED |
  ERR_ENCRYPT_UNACCEPTABLE |
  ERR_ENCRYPT_INVALID |
  ERR_NO_COMMON_ENCRYPT |
  ERR_CHANNEL_DESTROYED |
  ERR_CHANNEL_REDIRECTED |

enum ERR_IM

IM error codes.

Enumerator:

  ERR_IM_COULDNT_REGISTER |
  ERR_IM_ALREADY_REGISTERED |
  ERR_IM_NOT_REGISTERED | apparently, this is used to mean that the requested feature (per the channel create addtl data) is not supported by the client on the other end of the IM channel

## Function Documentation

char* mwError | ( | guint32 | code | ) |

reference to a new string appropriate for the given error code.